## rumpkernel 0~20191130

=== debian/changelog ===
rumpkernel (0~20191130-1) unreleased; urgency=medium

  [ Damien Zammit ]
  * Update rump sources to latest
  * Remove obsolete patches
  * Add AHCI and PIIXIDE drivers to rump (not upstreamed yet)
  * Add drivers to librumpdev-disk subpackage

  [ Samuel Thibault ]
  * Add missing zlib1g-dev build-dep.
  * Add -Wno-error on linux too.
  * Update to cleaned GNU Mach interrupt notification interface.
  * Create files as non-empty, it seems dpkg-source does not create them
    otherwise.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Mar 2020 12:50:41 +0000

rumpkernel (0~20150715.1-1) unstable; urgency=medium

  * Add /usr to PATH in librumpdev-audio0.init.linux (for lspci).
  * Make librumpdev-audio0.config.linux more robust.
  * Cherry-pick addition of <rump/rumperrno2host.h> from NetBSD CVS.
  * Notify that a reboot is required in librumpdev-audio0
    postinst/postrm.
  * Repack upstream source without buildrump.sh/src/usr.bin/rpcgen
  * Temporarily disable pci-userspace on linux-any as it FTBFS on
    current sid.

 -- Robert Millan <rmh@debian.org>  Sun, 06 Mar 2016 00:09:27 +0100

rumpkernel (0~20150715-2) unstable; urgency=medium

  * Fix FTBFS on hurd-i386 due to incorrect experimentalUser.c path.
  * Simplify MAXPATHLEN patch.
  * Add Vcs-* URLs.
  * Fix error reporting in pci_user-gnu.c.
  * Fix copyright years for buildrump.sh/brlib/libnetconfig/dhcp_main.c.
  * Restructure and document patches to ease upstream integration.
  * Split library packages.
  * Add postinst with debconf templates to automatically configure Linux
    nr_hugepages.
  * Add bug-script to librumpdev-pci0 and librumpdev-audio0 to include
    lspci output in bug reports and (Linux-only) /proc/interrupts.
  * Add debconf menu to automatically blacklist conflicting Linux audio
    drivers.
  * Automatically attempt to enable Linux UIO access to audio devices.

 -- Robert Millan <rmh@debian.org>  Sun, 25 Oct 2015 14:41:23 +0100

rumpkernel (0~20150715-1) unstable; urgency=low

  * Initial release. (Closes: #797411)

 -- Robert Millan <rmh@debian.org>  Tue, 01 Sep 2015 22:41:45 +0200
