=== debian/control ===
Source: rumpkernel
Priority: extra
Maintainer: Robert Millan <rmh@debian.org>
Build-Depends:
 debhelper (>= 8.0.0),
 autotools-dev,
 zlib1g-dev,
 libpciaccess-dev [hurd-any],
 gnumach-dev (>= 2:1.5+git20150827-1~) [hurd-any],
 mig [hurd-any],
Standards-Version: 3.9.6
Section: libs
Homepage: http://rumpkernel.org/
Vcs-Browser: https://salsa.debian.org/hurd-team/rumpkernel
Vcs-Git: https://salsa.debian.org/hurd-team/rumpkernel.git

Package: librump-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, librump0 (= ${binary:Version})
Description: Rump core libraries (development files)
 Rump kernels provide free, portable, componentized, kernel quality drivers
 such as file systems, POSIX system call handlers, PCI device drivers, a
 SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
 integrated into existing systems, or run as standalone unikernels on
 cloud hypervisors and embedded systems.
 .
 This package contains the development files for the core Rump libraries.

Package: librump0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Rump core libraries (runtime)
 Rump kernels provide free, portable, componentized, kernel quality drivers
 such as file systems, POSIX system call handlers, PCI device drivers, a
 SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
 integrated into existing systems, or run as standalone unikernels on
 cloud hypervisors and embedded systems.
 .
 This package contains the runtime for the core Rump libraries

Package: librumpfs-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, librump-dev (= ${binary:Version}), librumpfs0 (= ${binary:Version})
Replaces: librump-dev (<< 0~20150715-2~)
Description: Rump filesystem libraries (development files)
 Rump kernels provide free, portable, componentized, kernel quality drivers
 such as file systems, POSIX system call handlers, PCI device drivers, a
 SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
 integrated into existing systems, or run as standalone unikernels on
 cloud hypervisors and embedded systems.
 .
 This package contains the development files for Rump filesystem libraries.

Package: librumpfs0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librump0 (= ${binary:Version})
Replaces: librump0 (<< 0~20150715-2~)
Description: Rump filesystem libraries (runtime)
 Rump kernels provide free, portable, componentized, kernel quality drivers
 such as file systems, POSIX system call handlers, PCI device drivers, a
 SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
 integrated into existing systems, or run as standalone unikernels on
 cloud hypervisors and embedded systems.
 .
 This package contains the runtime for Rump filesystem libraries.

Package: librumpnet-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, librump-dev (= ${binary:Version}), librumpnet0 (= ${binary:Version})
Replaces: librump-dev (<< 0~20150715-2~)
Description: Rump network libraries (development files)
 Rump kernels provide free, portable, componentized, kernel quality drivers
 such as file systems, POSIX system call handlers, PCI device drivers, a
 SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
 integrated into existing systems, or run as standalone unikernels on
 cloud hypervisors and embedded systems.
 .
 This package contains the development files for Rump network libraries.

Package: librumpnet0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librump0 (= ${binary:Version})
Replaces: librump0 (<< 0~20150715-2~)
Description: Rump network libraries (runtime)
 Rump kernels provide free, portable, componentized, kernel quality drivers
 such as file systems, POSIX system call handlers, PCI device drivers, a
 SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
 integrated into existing systems, or run as standalone unikernels on
 cloud hypervisors and embedded systems.
 .
 This package contains the runtime for Rump network libraries.

Package: librumpdev-pci-dev
Section: libdevel
Architecture: linux-any-disabled hurd-any
Depends: ${misc:Depends}, librump-dev (= ${binary:Version}), librumpdev-pci0 (= ${binary:Version})
Replaces: librump-dev (<< 0~20150715-2~)
Description: Rump PCI device library (development files)
 Rump kernels provide free, portable, componentized, kernel quality drivers
 such as file systems, POSIX system call handlers, PCI device drivers, a
 SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
 integrated into existing systems, or run as standalone unikernels on
 cloud hypervisors and embedded systems.
 .
 This package contains the development files for the Rump PCI device library.

Package: librumpdev-pci0
Section: libs
Architecture: linux-any-disabled hurd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, librump0 (= ${binary:Version}),
 sysfsutils [linux-any],
Recommends:
# lspci is used by librumpdev-pci0.bug-script
 pciutils,
Replaces: librump0 (<< 0~20150715-2~)
Description: Rump PCI device library (runtime)
 Rump kernels provide free, portable, componentized, kernel quality drivers
 such as file systems, POSIX system call handlers, PCI device drivers, a
 SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
 integrated into existing systems, or run as standalone unikernels on
 cloud hypervisors and embedded systems.
 .
 This package contains the runtime for the Rump PCI device library.

Package: librumpdev-usb-dev
Section: libdevel
Architecture: linux-any-disabled hurd-any
Depends: ${misc:Depends}, librump-dev (= ${binary:Version}), librumpdev-usb0 (= ${binary:Version})
Replaces: librump-dev (<< 0~20150715-2~)
Description: Rump USB device library (development files)
 Rump kernels provide free, portable, componentized, kernel quality drivers
 such as file systems, POSIX system call handlers, USB device drivers, a
 SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
 integrated into existing systems, or run as standalone unikernels on
 cloud hypervisors and embedded systems.
 .
 This package contains the development files for the Rump USB device library.

Package: librumpdev-usb0
Section: libs
Architecture: linux-any-disabled hurd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, librumpdev-pci0 (= ${binary:Version})
Replaces: librump0 (<< 0~20150715-2~)
Description: Rump USB device library (runtime)
 Rump kernels provide free, portable, componentized, kernel quality drivers
 such as file systems, POSIX system call handlers, USB device drivers, a
 SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
 integrated into existing systems, or run as standalone unikernels on
 cloud hypervisors and embedded systems.
 .
 This package contains the runtime for the Rump USB device library.

Package: librumpdev-disk-dev
Section: libdevel
Architecture: linux-any-disabled hurd-any
Depends: ${misc:Depends}, librumpdev-pci-dev (= ${binary:Version}), librumpdev-disk0 (= ${binary:Version})
Replaces: librump-dev (<< 0~20150715-2~)
Description: Rump disk device libraries (development files)
 Rump kernels provide free, portable, componentized, kernel quality drivers
 such as file systems, POSIX system call handlers, PCI device drivers, a
 SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
 integrated into existing systems, or run as standalone unikernels on
 cloud hypervisors and embedded systems.
 .
 This package contains the development files for Rump disk device libraries.

Package: librumpdev-disk0
Section: libs
Architecture: linux-any-disabled hurd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, librumpdev-pci0 (= ${binary:Version}), librumpdev-usb0 (= ${binary:Version})
Replaces: librump0 (<< 0~20150715-2~)
Description: Rump disk device libraries (runtime)
 Rump kernels provide free, portable, componentized, kernel quality drivers
 such as file systems, POSIX system call handlers, PCI device drivers, a
 SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
 integrated into existing systems, or run as standalone unikernels on
 cloud hypervisors and embedded systems.
 .
 This package contains the runtime for Rump disk device libraries.

Package: librumpdev-audio-dev
Section: libdevel
Architecture: linux-any-disabled hurd-any
Depends: ${misc:Depends}, librumpdev-pci-dev (= ${binary:Version}), librumpdev-audio0 (= ${binary:Version})
Replaces: librump-dev (<< 0~20150715-2~)
Description: Rump audio device libraries (development files)
 Rump kernels provide free, portable, componentized, kernel quality drivers
 such as file systems, POSIX system call handlers, PCI device drivers, a
 SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
 integrated into existing systems, or run as standalone unikernels on
 cloud hypervisors and embedded systems.
 .
 This package contains the development files for Rump audio device libraries.

Package: librumpdev-audio0
Section: libs
Architecture: linux-any-disabled hurd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, librumpdev-pci0 (= ${binary:Version}),
# Used by config script
 pciutils [linux-any],
Replaces: librump0 (<< 0~20150715-2~)
Description: Rump audio device libraries (runtime)
 Rump kernels provide free, portable, componentized, kernel quality drivers
 such as file systems, POSIX system call handlers, PCI device drivers, a
 SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
 integrated into existing systems, or run as standalone unikernels on
 cloud hypervisors and embedded systems.
 .
 This package contains the runtime for Rump audio device libraries.

Package: librumpdev-if-dev
Section: libdevel
Architecture: linux-any-disabled hurd-any
Depends: ${misc:Depends}, librump-dev (= ${binary:Version}), librumpdev-if0 (= ${binary:Version})
Replaces: librump-dev (<< 0~20150715-2~)
Description: Rump network interface device libraries (development files)
 Rump kernels provide free, portable, componentized, kernel quality drivers
 such as file systems, POSIX system call handlers, PCI device drivers, a
 SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
 integrated into existing systems, or run as standalone unikernels on
 cloud hypervisors and embedded systems.
 .
 This package contains the development files for Rump network interface device
 libraries.

Package: librumpdev-if0
Section: libs
Architecture: linux-any-disabled hurd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, librump0 (= ${binary:Version})
Replaces: librump0 (<< 0~20150715-2~)
Description: Rump network interface device libraries (runtime)
 Rump kernels provide free, portable, componentized, kernel quality drivers
 such as file systems, POSIX system call handlers, PCI device drivers, a
 SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
 integrated into existing systems, or run as standalone unikernels on
 cloud hypervisors and embedded systems.
 .
 This package contains the runtime for Rump network interface device
 libraries.
