## rumpkernel 0~20250111

=== debian/changelog ===
rumpkernel (0~20250111-7) unreleased; urgency=medium

  * control: Fix udeb package type of librumpdev-if0-udeb.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Aug 2025 17:23:21 +0000

rumpkernel (0~20250111-6) unreleased; urgency=medium

  [ Damien Zammit ]
  * librump-dev.install: Install dynamic version of librumpdev_nofifofs.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Jul 2025 22:16:36 +0200

rumpkernel (0~20250111-5) unreleased; urgency=medium

  * control: Fix udeb dependencies.
  * control: Build-depend on debhelper >= 12.3.0 to make sure to have udeb
    shlibs lines.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Jul 2025 23:29:22 +0000

rumpkernel (0~20250111-4) unreleased; urgency=medium

  * control, *-udeb.install: Add udebs.
  * patches/hci_shared_intr: Generalize intr fix to [eoux]hci

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Jul 2025 08:15:21 +0000

rumpkernel (0~20250111-3) unreleased; urgency=medium

  * patches/uhci_shared_intr: Fix uhci driver crash on shared interrupt.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Jul 2025 21:25:58 +0000

rumpkernel (0~20250111-2) unreleased; urgency=medium

  * patches/vm_pages_phys.diff: Support non-aligned addresses with
    vm_pages_phys.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 10 Jun 2025 07:07:48 +0000

rumpkernel (0~20250111-1) unreleased; urgency=medium

  [ Etienne Brateau ]
  * Update to 10.99.x.
  * patches/rumpnet_remove_struct_declaration_duplication.diff: remove symbol
    duplication with rumpnet.

  [ Samuel Thibault ]
  * patches/vm_pages_phys.diff: Fix cross-building with mig.
  * rules: Complete clean rule.
  * control: Drop now-implicit autotools-dev build-dep.
  * control: Add myself as uploader.
  * librumpdev-if0.lintian-overrides, librumpfs0.lintian-overrides: Accept
    several libraries.
  * librump0.lintian-overrides: Accept that libraries don't depend on anything.
  * prune.sh: Fix pruning DotZLib.chm.
  * control: Bump debhelper build-dep version to 10.

  [ Damien Zammit ]
  * debian/rules: Set -DBUFPAGES=16 when building rump
  * pci-userspace: Use new libirqhelp helper library
  * debian/rules: HOST_CPPFLAGS=-D_GNU_SOURCE for tools/sed
  * Add rumpdev_bpf to installed libs for network interfaces
  * debian/rules: Add -Wno-error=sign-compare
  * rump: Add bus_dmatag_subregion as EOPNOTSUPP stub

 -- Samuel Thibault <sthibault@debian.org>  Mon, 03 Feb 2025 08:30:31 +0000

rumpkernel (0~20211031+repack-4) unreleased; urgency=medium

  * patches/PAE: Fix 64bit build of PAE support.
  * rules: Make blhc happier by disabling format-security rather that not
    enabling it.
  * source/lintian-overrides: Ignore spurious warning.
  * Add po-debconf infrastructure.
  * prune.sh: Avoid source-contains-prebuilt-ms-help-file warning.
  * patches/vm_allocate_contiguous_align: Work-around allocating with
    alignment larger than a page.
  * control: Replace extra priority with optional.
  * patches/err: Better error reporting.
  * patches/vm_pages_phys.diff: Use vm_pages_phys to efficiently get physical
    addresses.
  * control: Bump gnumach build-dep accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 21 Jan 2024 16:54:04 +0000

rumpkernel (0~20211031+repack-3) unreleased; urgency=medium

  * rules: Pass -fno-omit-frame-pointer to get traces from gnumach.
  * patches/PAE: Fix rumpdisk with PAE.
  * control: Bump gnumach-dev build-dep accordingly.
  * rules: Define PAE.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Aug 2023 21:06:05 +0000

rumpkernel (0~20211031+repack-2) unreleased; urgency=medium

  * rules: Fix make clean. set MKDTRACE and MKZFS to no to avoid cross-build
    failure.
  * patches/ata-rump.diff: Fix computing the devnumber according to
    i386/amd64.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Jul 2023 13:45:32 +0200

rumpkernel (0~20211031+repack-1) unreleased; urgency=medium

  [ Janneke Nieuwenhuizen ]
  * debian/patches/crossbuild: Fix cross-builds on Arch.
  * debian/patches/non-fhs-shell: Cater for non-FHS shell.
  * debian/patches/acpi: Cater for cross-mig.

  [ Samuel Thibault ]
  * debian/patches/ata-rump.diff: Add wd[4-7] devices.

  [ Damien Zammit ]
  * rules: Add missing MIG and TARGET_MIG to build env.
  * librumpdev-if: Install PHY drivers.
  * patches/acpi.diff: Re-enable.

  [ Samuel Thibault ]
  * patches/clean_external: Fix clean target with pruned source.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 01 Jul 2023 15:12:22 +0000

rumpkernel (0~20211031-3) unreleased; urgency=medium

  [ Damien Zammit ]
  * debian/patches/acpi.diff: pci-userspace: Add acpi lookup of irqs with
    fallback. Disabled for now as it breaks booting.

  [ Samuel Thibault ]
  * debian/patches/linux: Fix build on Linux.
  * debian/patches/crossbuild: Fix cross-builds.
  * debian/rules: Fix cross-build.
  * patches/random: Do not use arc4random_buf: during bootstrap we don't have
    it.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 06 May 2023 21:51:48 +0000

rumpkernel (0~20211031-2) unreleased; urgency=medium

  [ Samuel Thibault ]
  * debian/rules: Set BSDOBJDIR to $(CURDIR)/obj.
  * debian/patches/idtype_t.diff: Fix build with glibc 2.36 that doesn't get
    idtype_t magically defined.

  [ Etienne Brateau ]
  * Move ata code from rumpdev_ahcisata to a new rumpdev_ata so it can be used
    from both rumpdev_ahcisata and rumpdev_piixide.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 25 Sep 2022 22:13:45 +0000

rumpkernel (0~20211031-1) unreleased; urgency=medium

  [ Damien Zammit ]
  * Imported upstream NetBSD from git
    904baec69ddf1787b030ceb7e2bbf6a9e652e93b.
    - debian/librump-dev.install: Add usr/lib/librumpvfs_nofifofs_pic.a.
  * compat: Bump to 10.
  * debian/patches/64bit.diff: Drop patch.
  * debian/patches/Wno-error.diff: Drop patch.
  * debian/patches/intr_lock.diff: Drop patch.
  * debian/patches/print-error.diff: Drop patch.
  * debian/patches/rpcgen.diff: Drop patch.

