=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: rumpkernel
-Priority: extra
+Priority: optional
 Maintainer: Robert Millan <rmh@debian.org>
+Uploaders: Samuel Thibault <sthibault@debian.org>
 Build-Depends:
- debhelper (>= 8.0.0),
- autotools-dev,
+ debhelper (>= 12.3.0), po-debconf,
  zlib1g-dev,
- libpciaccess-dev [hurd-any],
- gnumach-dev (>= 2:1.5+git20150827-1~) [hurd-any],
+ libc0.3 (>= 2.31-2) [hurd-any],
+ libpciaccess-dev (>= 0.16-1+hurd.4~) [hurd-any],
+ gnumach-dev (>= 2:1.8+git20240130~) [hurd-any],
  mig [hurd-any],
 Standards-Version: 3.9.6
 Section: libs
@@ -40,6 +41,20 @@
  .
  This package contains the runtime for the core Rump libraries
 
+Package: librump0-udeb
+Section: debian-installer
+Package-Type: udeb
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Rump core libraries (runtime) - udeb
+ Rump kernels provide free, portable, componentized, kernel quality drivers
+ such as file systems, POSIX system call handlers, PCI device drivers, a
+ SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
+ integrated into existing systems, or run as standalone unikernels on
+ cloud hypervisors and embedded systems.
+ .
+ This package contains the runtime for the core Rump libraries as udeb
+
 Package: librumpfs-dev
 Section: libdevel
 Architecture: any
@@ -68,6 +83,20 @@
  .
  This package contains the runtime for Rump filesystem libraries.
 
+Package: librumpfs0-udeb
+Section: debian-installer
+Package-Type: udeb
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, librump0-udeb (= ${binary:Version})
+Description: Rump filesystem libraries (runtime) - udeb
+ Rump kernels provide free, portable, componentized, kernel quality drivers
+ such as file systems, POSIX system call handlers, PCI device drivers, a
+ SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
+ integrated into existing systems, or run as standalone unikernels on
+ cloud hypervisors and embedded systems.
+ .
+ This package contains the runtime for Rump filesystem libraries as udeb.
+
 Package: librumpnet-dev
 Section: libdevel
 Architecture: any
@@ -96,9 +125,23 @@
  .
  This package contains the runtime for Rump network libraries.
 
+Package: librumpnet0-udeb
+Section: debian-installer
+Package-Type: udeb
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, librump0-udeb (= ${binary:Version})
+Description: Rump network libraries (runtime) - udeb
+ Rump kernels provide free, portable, componentized, kernel quality drivers
+ such as file systems, POSIX system call handlers, PCI device drivers, a
+ SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
+ integrated into existing systems, or run as standalone unikernels on
+ cloud hypervisors and embedded systems.
+ .
+ This package contains the runtime for Rump network libraries as udeb.
+
 Package: librumpdev-pci-dev
 Section: libdevel
-Architecture: linux-any-disabled hurd-any
+Architecture: hurd-any
 Depends: ${misc:Depends}, librump-dev (= ${binary:Version}), librumpdev-pci0 (= ${binary:Version})
 Replaces: librump-dev (<< 0~20150715-2~)
 Description: Rump PCI device library (development files)
@@ -112,7 +155,7 @@
 
 Package: librumpdev-pci0
 Section: libs
-Architecture: linux-any-disabled hurd-any
+Architecture: hurd-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, librump0 (= ${binary:Version}),
  sysfsutils [linux-any],
 Recommends:
@@ -128,9 +171,28 @@
  .
  This package contains the runtime for the Rump PCI device library.
 
+Package: librumpdev-pci0-udeb
+Section: debian-installer
+Package-Type: udeb
+Architecture: hurd-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, librump0-udeb (= ${binary:Version}),
+ sysfsutils [linux-any],
+Recommends:
+# lspci is used by librumpdev-pci0.bug-script
+ pciutils,
+Replaces: librump0 (<< 0~20150715-2~)
+Description: Rump PCI device library (runtime) - udeb
+ Rump kernels provide free, portable, componentized, kernel quality drivers
+ such as file systems, POSIX system call handlers, PCI device drivers, a
+ SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
+ integrated into existing systems, or run as standalone unikernels on
+ cloud hypervisors and embedded systems.
+ .
+ This package contains the runtime for the Rump PCI device library as udeb.
+
 Package: librumpdev-usb-dev
 Section: libdevel
-Architecture: linux-any-disabled hurd-any
+Architecture: hurd-any
 Depends: ${misc:Depends}, librump-dev (= ${binary:Version}), librumpdev-usb0 (= ${binary:Version})
 Replaces: librump-dev (<< 0~20150715-2~)
 Description: Rump USB device library (development files)
@@ -144,7 +206,7 @@
 
 Package: librumpdev-usb0
 Section: libs
-Architecture: linux-any-disabled hurd-any
+Architecture: hurd-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, librumpdev-pci0 (= ${binary:Version})
 Replaces: librump0 (<< 0~20150715-2~)
 Description: Rump USB device library (runtime)
@@ -156,9 +218,23 @@
  .
  This package contains the runtime for the Rump USB device library.
 
+Package: librumpdev-usb0-udeb
+Section: debian-installer
+Package-Type: udeb
+Architecture: hurd-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, librumpdev-pci0-udeb (= ${binary:Version})
+Description: Rump USB device library (runtime) - udeb
+ Rump kernels provide free, portable, componentized, kernel quality drivers
+ such as file systems, POSIX system call handlers, USB device drivers, a
+ SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
+ integrated into existing systems, or run as standalone unikernels on
+ cloud hypervisors and embedded systems.
+ .
+ This package contains the runtime for the Rump USB device library as udeb.
+
 Package: librumpdev-disk-dev
 Section: libdevel
-Architecture: linux-any-disabled hurd-any
+Architecture: hurd-any
 Depends: ${misc:Depends}, librumpdev-pci-dev (= ${binary:Version}), librumpdev-disk0 (= ${binary:Version})
 Replaces: librump-dev (<< 0~20150715-2~)
 Description: Rump disk device libraries (development files)
@@ -172,7 +248,7 @@
 
 Package: librumpdev-disk0
 Section: libs
-Architecture: linux-any-disabled hurd-any
+Architecture: hurd-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, librumpdev-pci0 (= ${binary:Version}), librumpdev-usb0 (= ${binary:Version})
 Replaces: librump0 (<< 0~20150715-2~)
 Description: Rump disk device libraries (runtime)
@@ -184,62 +260,11 @@
  .
  This package contains the runtime for Rump disk device libraries.
 
-Package: librumpdev-audio-dev
-Section: libdevel
-Architecture: linux-any-disabled hurd-any
-Depends: ${misc:Depends}, librumpdev-pci-dev (= ${binary:Version}), librumpdev-audio0 (= ${binary:Version})
-Replaces: librump-dev (<< 0~20150715-2~)
-Description: Rump audio device libraries (development files)
- Rump kernels provide free, portable, componentized, kernel quality drivers
- such as file systems, POSIX system call handlers, PCI device drivers, a
- SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
- integrated into existing systems, or run as standalone unikernels on
- cloud hypervisors and embedded systems.
- .
- This package contains the development files for Rump audio device libraries.
-
-Package: librumpdev-audio0
-Section: libs
-Architecture: linux-any-disabled hurd-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, librumpdev-pci0 (= ${binary:Version}),
-# Used by config script
- pciutils [linux-any],
-Replaces: librump0 (<< 0~20150715-2~)
-Description: Rump audio device libraries (runtime)
- Rump kernels provide free, portable, componentized, kernel quality drivers
- such as file systems, POSIX system call handlers, PCI device drivers, a
- SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
- integrated into existing systems, or run as standalone unikernels on
- cloud hypervisors and embedded systems.
- .
- This package contains the runtime for Rump audio device libraries.
-
-Package: librumpdev-if-dev
-Section: libdevel
-Architecture: linux-any-disabled hurd-any
-Depends: ${misc:Depends}, librump-dev (= ${binary:Version}), librumpdev-if0 (= ${binary:Version})
-Replaces: librump-dev (<< 0~20150715-2~)
-Description: Rump network interface device libraries (development files)
- Rump kernels provide free, portable, componentized, kernel quality drivers
- such as file systems, POSIX system call handlers, PCI device drivers, a
- SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
- integrated into existing systems, or run as standalone unikernels on
- cloud hypervisors and embedded systems.
- .
- This package contains the development files for Rump network interface device
- libraries.
-
-Package: librumpdev-if0
-Section: libs
-Architecture: linux-any-disabled hurd-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, librump0 (= ${binary:Version})
-Replaces: librump0 (<< 0~20150715-2~)
-Description: Rump network interface device libraries (runtime)
- Rump kernels provide free, portable, componentized, kernel quality drivers
- such as file systems, POSIX system call handlers, PCI device drivers, a
- SCSI protocol stack, virtio and a TCP/IP stack. These drivers may be
- integrated into existing systems, or run as standalone unikernels on
- cloud hypervisors and embedded systems.
- .
- This package contains the runtime for Rump network interface device
- libraries.
+Package: librumpdev-disk0-udeb
+Section: debian-installer
+Package-Type: udeb
+Architecture: hurd-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, librumpdev-pci0-udeb (= ${binary:Version}), librumpdev-usb0-udeb (= ${binary:Version})
+Description: Rump disk device libraries (runtime) - udeb
+ Rump kernels provide free, portable, componentized, kernel quality drivers
+ such as file systems, POSIX system call handlers, PCI device drivers, a
